%define name	 kflickr
%define version	 0.2
%define release	 %mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Communications
License:	GPL
Source0:        http://ovh.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
URL:		http://kflickr.sourceforge.net/
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
Summary:	Permit to easily upload photos to your Flickr.com account

BuildRequires:  kdebase-devel

Requires:       kdebase 



%description
KFlickr is a standalone KDE application that allows 
for easy upload of your favourite photos to your Flickr.com account

%prep
%setup -q -n %{name}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \

%configure --enable-final --disable-rpath --enable-strict

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

install -d $RPM_BUILD_ROOT/%{_menudir}
kdedesktop2mdkmenu.pl %{name} "Internet/Other" $RPM_BUILD_ROOT%{_datadir}/applnk/Graphics/kflickr.desktop $RPM_BUILD_ROOT%{_menudir}/%{name} kde
install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/apps/%{name}.png -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/%{name}.png -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
#install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/%{name}.png -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

#Relativisation of symlink, rpm fails to do it      FIXME
#rm -f $RPM_BUILD_ROOT%{_datadir}/doc/HTML/en/%{name}/common
#ln -sf ../common $RPM_BUILD_ROOT%{_datadir}/doc/HTML/en/%{name}/common

%find_lang %{name}

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc %{_docdir}/HTML/en/%{name}/common
%doc %{_docdir}/HTML/en/%{name}/index.cache.bz2
%doc %{_docdir}/HTML/en/%{name}/index.docbook

%{_bindir}/%name
%{_menudir}/%name

%{_datadir}/applnk/Graphics/kflickr.desktop
%{_datadir}/apps/kflickr/kflickrui.rc

%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%{_iconsdir}/hicolor/16x16/apps/kflickr.png
%{_iconsdir}/hicolor/32x32/apps/kflickr.png


%changelog
* Thu Sep 22 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2-2mdk
- Forgot Requires/BuildRequires

* Thu Sep 22 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2-1mdk
- Initial Mandriva package
